﻿<Window x:Class="StargateSG1ScriptSearcher.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:StargateSG1ScriptSearcher"
        mc:Ignorable="d"
        Title="Stargate SG1 - Script searcher" Height="450" Width="800">
    <Grid>
        <Label HorizontalAlignment="Left" Content="Searched phrase" Margin="50,14,0,0" VerticalAlignment="Top"/>
        <TextBox HorizontalAlignment="Stretch" Height="25" Margin="50,40,50,0" TextWrapping="Wrap" Text="{Binding SearchedExpression}" VerticalAlignment="Top"/>
        <Button Content="Search" Command="{Binding Search}" HorizontalAlignment="Left" Margin="50,80,0,0" VerticalAlignment="Top" Width="75"/>
        <ProgressBar Value="{Binding DownloadProgress}" Width="100" Maximum="1" Minimum="0" Margin="270,80,0,0" Height="20" VerticalAlignment="Top" HorizontalAlignment="Left"/>
        <Label HorizontalAlignment="Left" Content="Results" Margin="50,120,0,0" VerticalAlignment="Top"/>
        <ListBox HorizontalAlignment="Stretch" Margin="50,150,50,50" VerticalAlignment="Stretch" ItemsSource="{Binding SearchResults}">
            <ListBox.ItemTemplate>
                <DataTemplate DataType="{x:Type local:SearchResult}" >
                    <StackPanel Orientation="Vertical">
                        <StackPanel Orientation="Horizontal" ToolTip="{Binding Episode.Summary}" ToolTipService.ShowDuration="60000">
                            <Label Content="S"/>
                            <Label Content="{Binding Episode.Season}"/>
                            <Label Content="E"/>
                            <Label Content="{Binding Episode.Number}"/>
                            <Label Content="{Binding Episode.Name}"/>
                        </StackPanel>
                        <Label Content="{Binding Line.Actor}"/>
                        <TextBlock Text="{Binding Line.Text}"/>
                    </StackPanel>
                </DataTemplate>
            </ListBox.ItemTemplate>
        </ListBox>
        <Button Content="Download script" Command="{Binding Download}" IsEnabled="{Binding DonwloadButtonEnabled}" HorizontalAlignment="Left" Margin="150,80,0,0" VerticalAlignment="Top" Width="100"/>

    </Grid>
</Window>
